PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- SDSS Spectroscopic Data (`pydl.pydlspec2d`) »
- readspec

# readspec

pydl.pydlspec2d.spec1d.readspec(platein, mjd=None, fiber=None, **kwargs)

  Read SDSS/BOSS spec2d & spec1d files.

  Parameters
    platein `int` or `numpy.ndarray`

      Plate number(s).

    mjd `int` or `numpy.ndarray`, optional

      MJD numbers. If not provided, they will be calculated by `latest_mjd()`.

    fiber array-like, optional

      Fibers to read. If not set, all fibers from all plates will be returned.

    topdir `str`, optional

      Override the value of `BOSS_SPECTRO_REDUX`.

    run2d `str`, optional

      Override the value of `RUN2D`.

    run1d `str`, optional

      Override the value of `RUN1D`.

    path `str`, optional

      Override all path information with this directory name.

    align `bool`, optional

      If set, align all the spectra in wavelength.

    znum `int`, optional

      If set, return the znum-th best fit reshift fit, instead of the best.

  Returns
    `dict`

      A dictionary containing the data read.